%define		_version	3.9
%define		_libname	ev
%define		_soname		3
%define		_pname		lib%{_libname}
Name:		%{_pname}%{_soname}
Version:	%{_version}
Release:	1.1
Summary:	Event loop library
License:	GPL
Group:		Development/Libraries
Source0:	http://dist.schmorp.de/libev/%{_pname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A full-featured and high-performance event loop that is loosely modelled after libevent,
but without its limitations and bugs. It is used, among others, in the GNU Virtual Private Ethernet
and rxvt-unicode packages, and in the Deliantra MORPG Server and Client.

%package -n %{_pname}-devel
Summary:	Event loop library - development files
Group:		Development/Libraries
Requires:	%{_pname}%{_soname} = %{_version}

%description -n %{_pname}-devel
This package includes development files for libev.

%prep
%setup -n %{_pname}-%{version}

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_libdir}/libev.so.%{_soname}.0.0

%files -n %{_pname}-devel
%defattr(-,root,root)
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_includedir}/event.h
%{_libdir}/libev.a
%{_libdir}/libev.la
%{_libdir}/libev.so
%{_libdir}/libev.so.%{_soname}
%{_mandir}/man3/ev.3*

%changelog
* Sat Feb 27 2010 Carsten Schonee <cs@linux-administrator.com> - 3.9-1
- update to release 3.9

* Fri Dec 04 2009 Carsten Schoene <cs@linux-administrator.com> - 3.8-1
- initial build

